export declare enum NotificationPositionEnum {
    TopLeft = 1,
    TopRight = 2,
    BottomLeft = 3,
    BottomRight = 4
}
export declare class NotificationModule {
    static timeout: number;
    static errorTimeout: number;
    static extendedTimeout: number;
    static position: NotificationPositionEnum;
    static newestOnTop: boolean;
    static showWarning(title: string, message: string, actionsHtml?: JQuery<HTMLElement>, autohide?: boolean): void;
    static showWarningSmall(message: string, actionsHtml?: JQuery<HTMLElement>, autohide?: boolean): void;
    static showInfo(title: string, message: string, actionsHtml?: JQuery<HTMLElement>, autohide?: boolean): void;
    static showInfoSmall(message: string, actionsHtml?: JQuery<HTMLElement>, autohide?: boolean): void;
    static showError(title: string, message: string, actionsHtml?: JQuery<HTMLElement>, autohide?: boolean): void;
    static showErrorSmall(message: string, actionsHtml?: JQuery<HTMLElement>, autohide?: boolean): void;
    static showSuccess(title: string, message: string, actionsHtml?: JQuery<HTMLElement>, autohide?: boolean): void;
    static showSuccessSmall(message: string, actionsHtml?: JQuery<HTMLElement>, autohide?: boolean): void;
    private static setMessageWithActionsHtml;
    private static setTitleHtml;
    private static setOptions;
    private static setSmall;
    private static getPositionClass;
}
